GNUNET-STATISTICS(1)

NAME
gnunet-statistics - display statistics about your GNUnet system

SYNOPSIS
gnunet-statistics [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l FILENAME | --logfile=FILENAME] [-n NAME | --name=NAME] [-o PORT | --port=PORT] [-p | --persistent] [-q | --quiet] [-r REMOTE | --remote=REMOTE] [-S SEPARATOR | --csv-separator=SEPARATOR] [-s SUBSYSTEM | --subsystem=SUBSYSTEM] [-t PATH | --testbed=PATH] [-v | --version] [-w | --watch] <VALUE>

DESCRIPTION
gnunet-statistics is used to display detailed information about various aspect of GNUnet's operation. This tool only works if the "statistics" service is available. gnunet-statistics can be used to set a value by giving the options -n, -s and also a VALUE.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l FILENAME | --logfile=FILENAME
    Configure logging to write logs to FILENAME

-n NAME | --name=NAME
    Each statistic has a NAME that is unique with in its subsystem. With this option, the output can be restricted to statistics that have a particular NAME.

-o PORT | --port=PORT
    PORT for remote host

-p | --persistent
    When setting a value, make the value persistent. If the value used to be persistent and this flag is not given, it will be marked as non-persistent.

-q | --quiet
    Just print the statistics value

-r REMOTE | --remote=REMOTE
    Connect to a remote host given as REMOTE.

-S SEPARATOR | --csv-separator=SEPARATOR
    Specify a separator for generating csv-output.

-s SUBSYSTEM | --subsystem=SUBSYSTEM
    Statistics are kept for various subsystems. With this option, the output can be restricted to a particular subsystem only.

-t PATH | --testbed=PATH
    When running testbed, you can get statistics of all peers with specefying the folder containing the data of all testbed nodes like

        $ gnunet-statistics -t /tmp/testbedARtmQv

-v | --version
    Print GNUnet version number.

-w | --watch
    Watch value continuously.

SEE ALSO
gnunet-service-statistics(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.